Bug 504721 - Check Linux raid Nagios plugin fails to report recovery status of software RAID controller
Check Linux raid Nagios plugin fails to report recovery status of software RA...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nagios-plugins (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 21:33 EDT by Nathan Joyes
Modified: 2013-11-10 03:06 EST (History)
5 users (show)

See Also:
Fixed In Version: nagios-plugins-1.4.16-10.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-26 23:57:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Joyes 2009-06-08 21:33:29 EDT
Description of problem:
The check_linux_raid nagios command uses an incorrect regex to match the recovery pattern reported by /proc/mdstat.  It looks for /recovery = (.*?)\s/ instead of /resync = (.*?)\s/.

Version-Release number of selected component (if applicable):
nagios-plugins-linux_raid-1.4.13-9.fc9.x86_64

How reproducible:
Very

Steps to Reproduce:
1. Install nagios-plugins-linux_raid
2. Setup Linux software RAID
3. Configure nagios plugin for software RAID device
4. Trigger RAID failure
  
Actual results:
Nagios fails to report RAID device is resync'ing

Expected results:
Nagios reports RAID device is resync'ing

Additional info:
Confirmed Fedora 11, nagios-plugins-linux_raid checks the /dev/mdstat device in the same manner, but could not confirm that /dev/mdstat still reports that the device is resync'ing as resync or recover.
Comment 1 Bug Zapper 2009-06-09 23:44:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 12:03:17 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Peter Lemenkov 2010-09-12 02:39:42 EDT
It seems that this bug still exists. I'll take care of it.
Comment 4 Fedora End Of Life 2013-04-03 16:08:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora Update System 2013-10-17 08:02:11 EDT
nagios-plugins-1.4.16-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nagios-plugins-1.4.16-10.fc19
Comment 6 Fedora Update System 2013-10-17 08:02:34 EDT
nagios-plugins-1.4.16-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nagios-plugins-1.4.16-10.fc20
Comment 7 Fedora Update System 2013-10-17 08:02:49 EDT
nagios-plugins-1.4.16-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nagios-plugins-1.4.16-10.el6
Comment 8 Fedora Update System 2013-10-17 14:03:07 EDT
Package nagios-plugins-1.4.16-10.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing nagios-plugins-1.4.16-10.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11845/nagios-plugins-1.4.16-10.el6
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-10-26 23:57:02 EDT
nagios-plugins-1.4.16-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-10-27 01:38:39 EDT
nagios-plugins-1.4.16-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-11-07 14:17:55 EST
nagios-plugins-1.4.16-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-11-10 03:06:14 EST
nagios-plugins-1.4.16-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.